For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete Whitelisted Address

DELETE https://api.sfox.com/v1/whitelisted-addresses/:address_id

Remove a crypto address from your account's whitelisted addresses.

Path Parameters

Parameter
Type
Description

address_id required

int

The address ID generated by sFOX upon adding the address to your whitelist.

Responses

200 OK
{}

Example Requests

curl -X DELETE \
  -H 'Content-type: application/json' \
  -H "Authorization: Bearer ${API_TOKEN}" \
  "https://api.sfox.com/v1/whitelisted-addresses/${ADDRESS_ID}"
const axios = require('axios');

axios({
  method: 'delete',
  url: `https://api.sfox.com/v1/whitelisted-addresses/${ADDRESS_ID}`,
  headers: {
    'Authorization': `Bearer ${API_KEY}`
  },
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
import requests
import os

data = requests.delete(
  f"https://api.sfox.com/v1/whitelisted-addresses/{ADDRESS_ID}",
  headers={
    "Authorization": f"Bearer {os.environ['API_KEY']}",
  }
)
print(data.json())

Last updated